%define api    0.4

Name:          libvisual-plugins
Version:       0.4.1
Release:       %mkrel 2
Summary:       Visualisation plugins for applications based on libvisual
License:       GPLv2+
Group:         System/Libraries
Url:           http://libvisual.org/
Source0:       https://github.com/Libvisual/libvisual/releases/download/libvisual-plugins-%{version}/%{name}-%{version}.tar.bz2
BuildRequires: pkgconfig(libvisual-0.4) >= %{version}
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(jack)
BuildRequires: bison
BuildRequires: flex
BuildRequires: gettext-devel
Provides:      libvisual-nebulus
Provides:      libvisual-gforce

%description
Libvisual is a library that acts as a middle layer between
applications that want audio visualisation and audio visualisation
plugins.

This package contains the libvisual example plugins.

%prep
%autosetup

%build
%ifarch %{ix86}
export CFLAGS="-mmmx %{optflags}"
%endif
%configure --disable-esd \
           --disable-gstreamer-plugin
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name}-0.4

%files -f %{name}-0.4.lang
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{_libdir}/libvisual-%{api}/
%{_datadir}/%{name}-%{api}/


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.4.1-2.mga10
+ Revision: 2218033
- Mageia 10 Mass Rebuild

* Sun Mar 12 2023 daviddavid <daviddavid> 0.4.1-1.mga9
+ Revision: 1948686
- new version: 0.4.1
- update Url and Source Url
- remove all no more needed patches
- compile with -std=c++11 cxxflags
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Aug 04 2020 joequant <joequant> 0.4.0-24.mga8
+ Revision: 1610995
- fix build

* Tue Feb 11 2020 umeabot <umeabot> 0.4.0-23.mga8
+ Revision: 1489138
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Sep 11 2018 wally <wally> 0.4.0-22.mga7
+ Revision: 1258474
- add patch from Debian to fix build
- fix build on aarch64
- drop old obsoletes
+ daviddavid <daviddavid>
- disable the GStreamer visualization plugin

* Wed Aug 03 2016 daviddavid <daviddavid> 0.4.0-21.mga6
+ Revision: 1044319
- add patch4 to fix compilation with gcc5
- add patch3 to fix various GCC warnings
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-20.mga5
+ Revision: 748524
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-19.mga5
+ Revision: 681846
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.0-18.mga4
+ Revision: 507484
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4.0-17.mga3
+ Revision: 358382
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 22 2011 fwang <fwang> 0.4.0-16.mga2
+ Revision: 146744
- drop .la files

* Sat Jun 18 2011 ahmad <ahmad> 0.4.0-15.mga2
+ Revision: 109337
- Add BR libgtk+2-devel to enable building the gdkpixbuf image loader plugin
- imported package libvisual-plugins


* Mon May 02 2011 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-14mdv2011.0
+ Revision: 661538
- mass rebuild

* Thu Dec 23 2010 Funda Wang <fwang@mandriva.org> 0.4.0-13mdv2011.0
+ Revision: 623956
- update url
- fix link

* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-12mdv2011.0
+ Revision: 602612
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-11mdv2010.1
+ Revision: 520930
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.4.0-10mdv2010.0
+ Revision: 425875
- rebuild

* Sun Apr 12 2009 Götz Waschk <waschk@mandriva.org> 0.4.0-9mdv2009.1
+ Revision: 366510
- fix crash (bug #49801)

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.4.0-8mdv2009.0
+ Revision: 223017
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-7mdv2008.1
+ Revision: 179008
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Fri Mar 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.4.0-5mdv2007.1
+ Revision: 144788
- Patch0: add patch to fix array overrun (from openSuSE)

* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 0.4.0-4mdv2007.1
+ Revision: 108199
- use the right macros

* Sun Aug 06 2006 Götz Waschk <waschk@mandriva.org> 0.4.0-3mdv2007.0
+ Revision: 53187
- remove debug files from the package
- fix buildrequires

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream version
    - import libvisual-plugins-0.2.0-4mdk

* Thu Feb 16 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-4mdk
- enable mmx to make it build
- disable the infinite plugin
- use mkrel

* Tue Feb 15 2005 Götz Waschk <waschk@linux-mandrake.com> 0.2.0-3mdk
- fix buildrequires

* Fri Feb 11 2005 Götz Waschk <waschk@linux-mandrake.com> 0.2.0-2mdk
- remove rpaths
- obsoletes libvisual-nebulus and libvisual-gforce

* Thu Feb 10 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-1mdk
- 0.2.0

* Sat Oct 16 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.7-1mdk
- New release 0.1.7

* Tue Sep 14 2004 Götz Waschk <waschk@linux-mandrake.com> 0.1.6-1mdk
- requires new libvisual
- New release 0.1.6

* Fri Jul 02 2004 Götz Waschk <waschk@linux-mandrake.com> 0.1.5-1mdk
- initial package

